<?
include '../config.php';
include '../func.php';
head();
aut();
ban();
////////////////////////
$id = num($_GET['id']);
$clan = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id` = '".$id."'"));

$forum = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_podrazdel` WHERE `name` = '".$clan['name']."'"));

if ( empty( $clan['id'] ) ) {
    
    echo head . "<b>Ошибка</b>" . div;  
    echo link2 . 'Данной группы не существует' . div;
    pod_navig();
    foot();
    exit();
    
}




if ( $id_session != $clan['user'] ) {
    
    header('Location: ../enter.php?');
    
}


echo head . "<b>Администратирование группы | ".$clan['name']."</b>" . div;   

switch ( $_GET['mod'] ) {
    
    default:
    echo link2;
    echo "<a href=\"admin.php?mod=info&id=".$clan['id']."\">Основная информация</a><br/ >";
    echo "<a href=\"admin.php?mod=ustav&id=".$clan['id']."\">Управление правилами</a><br/ >";
    echo "<a href=\"admin.php?mod=stena&id=".$clan['id']."\">Управление стеной</a><br/ >";
    echo "<a href=\"admin.php?mod=private&id=".$clan['id']."\">Управление приватностью</a><br/ >";
    echo "<a href=\"admin.php?mod=logo&id=".$clan['id']."\">Управление логотипом</a><br/ >";
    echo div;
    
    break;
    
    
    case 'info':
    
    if ( $_POST['submit'] ) {
        
        $name = html($_POST['name']);
        $info = html($_POST['info']);
        
        if ( empty($name) ) $err = 'Не введено название группы';
        if ( empty($info) ) $err = 'Не введено описание группы';
        
        if ( strlen($name) > 50 ) $err = 'Слишком длинное название группы';
        if ( strlen($info) > 250 ) $err = 'Слишком длинное описание группы';
        
        if ( $err ) {
            
            echo link1.$err.div;
            
        } else {
            
            $a = mysql_query("UPDATE `clans` SET`info` = '".$info."', `name` = '".$name."' WHERE `id` = '".$id."'");
            
            
        if ( $a == 1) {
            
            echo link1 . 'Основная информация о клане успешно изменена' . div;
            
        } else {
            
            echo link1 . 'Возникла ошибка' . div;
            
        }            
            
            
        }
        
    }
    echo link1 . '<form action="admin.php?mod=info&id='.$clan['id'].'" method="post" name="form">
    
    
    <b>Название группы:</b>' . div;
    
    echo link2 . '
    
    <textarea id="tarea" name="name" cols="30" rows="5" style="width: 99%;">'.$clan['name'].'</textarea>
    
    
    <b>Описание группы:</b>' . div;
    
    echo link2 . '
    
    <textarea id="tarea" name="info" cols="30" rows="5" style="width: 99%;">'.$clan['info'].'</textarea>
    <input name="submit" type="submit" class="button" value="Сохранить" /></form>' . div;
    
    break;
    
    case 'ustav':
    
    if ( $_POST['submit'] ) {
        
        
        $ustav = html($_POST['ustav']);
        
        
        if ( empty($ustav) ) $err = 'Не введено описание группы.<br/>';

        
        if ( $err ) {
            
            echo link1 . $err. div;
            
        } else {
            
            $a = mysql_query("UPDATE `clans` SET`ustav` = '".$ustav."' WHERE `id` = '".$id."'");
            
            
        if ( $a == 1) {
            
            echo link1 . 'Правила клана успешно изменены' . div;
            
        } else {
            
            echo link1 . 'Возникла ошибка' . div;
            
        }            
            
            
        }
        
    }
    echo link2 . '<form action="admin.php?mod=ustav&id='.$clan['id'].'" method="post" name="form">
    
    <b>Описание группы:</b><br/>
    <textarea id="tarea" name="ustav" cols="30" rows="5" style="width: 100%;">'.$clan['ustav'].'</textarea><br/ >
    <input name="submit" type="submit" class="button" value="Сохранить" /></form>' . div;
    
    break;
    
    case 'stena':
    
    $all = mysql_result(mysql_query("SELECT count(*) FROM clans_stena WHERE `clan` = '".$clan['id']."'"), 0);

if ( $all > 0 ) {

if($all){
$onpage = 10;
$allpage = ceil($all/$onpage);
$this_page = (isset($_GET['p'])) ? intval($_GET['p']) : 1 ;
if($this_page < 1 || $this_page > $allpage)$this_page = 1;
$start = $this_page*$onpage - $onpage;    
$result = mysql_query("SELECT * FROM clans_stena WHERE `clan` = '".$clan['id']."' order by id desc limit ".$start.",".$onpage."");
while($b = mysql_fetch_assoc($result)){
    
    echo link1 . user($b['user']).' [<a href="admin.php?mod=stena&edit='.$b['id'].'&id='.$clan['id'].'">Edit</a>] [<a href="admin.php?mod=stena&delete='.$b['id'].'&id='.$clan['id'].'">Del</a>]</b> | '.$b['date'].div;
    echo link2.smile($b['text']).div;
}

echo main2 . '<b>Страницы:</b> ';
navigation($allpage,"stena.php?id=14&p={p}",1,1);
echo div;
}
} else {
    echo link2 . 'Стена пуста' . div;
}

if (!empty($_GET['delete'])) {
    $post = num($_GET['delete']);
    $post_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans_stena` WHERE `id` = '".$post."'"));
    
    if ($post_info['clan'] == $clan['id']) {
    
    mysql_query("DELETE FROM `clans_stena` WHERE `id` = '".$post."'");
    header('Location: admin.php?mod=stena&id='.$clan['id'].'');
    } else {
    header('Location: admin.php?mod=stena&id='.$clan['id'].'');    
    }
}

if (!empty($_GET['edit'])) {
    $post = num($_GET['edit']);
    $post_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans_stena` WHERE `id` = '".$post."'"));
    
    if ($post_info['clan'] == $clan['id']) {
    
    if (empty($_POST['submit'])) {
    echo link1 . '<form action="admin.php?mod=stena&edit='.$post_info['id'].'&id='.$clan['id'].'" method="post" name="form"><textarea id="tarea" name="msg" cols="30" rows="5" style="width: 99%;">'.$post_info['text'].'</textarea><input name="submit" type="submit" class="button" value="Сохранить" />' . div;
    } else {
        $text = html($_POST['msg']);
         
         $result = mysql_query("UPDATE `clans_stena` SET `text` = '".$text."' WHERE `id` = '".$post_info['id']."'");   
         if ($result != NULL) {
            header('Location: admin.php?mod=stena&id='.$clan['id'].'');
         } else {
            header('Location: admin.php?mod=stena&id='.$clan['id'].'');
         }
    }
}
}
break;

case 'logo':
if ( isset($_GET['yes']) ) echo 'Лого успешно загружено';
if ( isset($_GET['no']) ) echo 'Возникла ошибка при загрузке';
if ( isset($_GET['type']) ) echo 'Не верное разрешение файла';
if ( isset($_GET['nofile']) ) echo 'Файл не загружен';

if (!empty($_GET['delete'])) {
    $result = mysql_query("UPDATE `clans` SET `url_file` = '' WHERE `id` = '".num($_GET['delete'])."'");
    if ($result != NULL) {
        echo 'Лого успещно удалено<br/><br/>';
    } else {
        echo 'Ошибка при удалении<br/><br/>';
    }
    
}
if (!empty($clan['url_file'])) {
echo '<br/ ><br/ >Установлено лого:<br/>';
echo '<img src="logo/'.$clan['url_file'].'" WIDTH=150 HEIGHT=150 alt="."/><br/><a href="admin.php?mod=logo&id='.$clan['id'].'&delete='.$clan['id'].'">Удалить</a><br/>';
} else {
    echo 'Лого не установлено<br/>';
    echo "<a href=\"admin.php?mod=upload_logo&id=".$clan['id']."\">Загрузить лого</a><br/ >";
}
break;

case 'upload_logo':
if ( isset($_POST['submit']) ) {
    ####Файл
    $file = $_FILES['file']['tmp_name'];
    $filename = $_FILES['file']['name'];
    
    ini_set('memory_limit', '64M');
    $maxsize = "10280000000000";
    $extentions = array("jpg","jpeg","png","gif", "bmp");   
    $size = filesize ($_FILES['file']['tmp_name']);
    $type = strtolower(substr($filename, 1+strrpos($filename,".")));
    $new_name = 'file-'.time().'.'.$type; 
    if ( !in_array($type,$extentions) ) { header('Location: admin.php?mod=logo&id='.$id.'&type'); exit(); }
    if (!copy($file, "logo/".$new_name))  { header('Location: admin.php?mod=logo&id='.$id.'&nofile'); exit(); }
    if (mysql_query("UPDATE `clans` SET `url_file` = '".$new_name."' WHERE `id` = '".$id."'") ) 
    header('Location: admin.php?mod=logo&id='.$id.'&yes');
    else
    header('Location: admin.php?mod=logo&id='.$id.'&no');
    
}

echo '<form action="admin.php?mod=upload_logo&id='.$id.'" method="post" name="form" enctype="multipart/form-data">';
print '<b>Выберите лого:</b><br />
<input type="file" name="file"><br/ >';
echo '<input name="submit" type="submit" class="button" value="Загрузить" /></form>'; 
break;


case 'private':
if ( isset($_POST['submit']) ) {
    $result = mysql_query("UPDATE `clans` SET`private` = '".num($_POST['tip'])."' WHERE `id` = '".$id."'");
    
    if ( $result != NULL ) {
        echo link2 . 'Приватность успешно изменена' . div;
    } else {
        echo link2 . 'Возникла ошибка' . div;
    }
}

echo '<form action="admin.php?mod=private&id='.$clan['id'].'" method="post" name="form">
Приватность<br/><select name="tip">
<option value="0">Открытая</option>
<option value="1">Закрытая</option>
</select>
';
echo link2 . '<input name="submit" type="submit" class="button" value="Сохранить" /></form>' . div;


break;


}
echo '</div>';

////////////////////////

pod_navig();
foot();
?>